<?php
if (!isset($_SESSION)) {
  session_start();
}
$MM_authorizedUsers = "";
$MM_donotCheckaccess = "true";

// *** Restrict Access To Page: Grant or deny access to this page
function isAuthorized($strUsers, $strGroups, $UserName, $UserGroup) { 
  // For security, start by assuming the visitor is NOT authorized. 
  $isValid = False; 

  // When a visitor has logged into this site, the Session variable MM_Username set equal to their username. 
  // Therefore, we know that a user is NOT logged in if that Session variable is blank. 
  if (!empty($UserName)) { 
    // Besides being logged in, you may restrict access to only certain users based on an ID established when they login. 
    // Parse the strings into arrays. 
    $arrUsers = Explode(",", $strUsers); 
    $arrGroups = Explode(",", $strGroups); 
    if (in_array($UserName, $arrUsers)) { 
      $isValid = true; 
    } 
    // Or, you may restrict access to only certain users based on their username. 
    if (in_array($UserGroup, $arrGroups)) { 
      $isValid = true; 
    } 
    if (($strUsers == "") && true) { 
      $isValid = true; 
    } 
  } 
  return $isValid; 
}

$MM_restrictGoTo = "login.php";
if (!((isset($_SESSION['MM_UsernameAdmin'])) && (isAuthorized("",$MM_authorizedUsers, $_SESSION['MM_UsernameAdmin'], $_SESSION['MM_UserGroupAdmin'])))) {   
  $MM_qsChar = "?";
  $MM_referrer = $_SERVER['PHP_SELF'];
  if (strpos($MM_restrictGoTo, "?")) $MM_qsChar = "&";
  if (isset($QUERY_STRING) && strlen($QUERY_STRING) > 0) 
  $MM_referrer .= "?" . $QUERY_STRING;
  $MM_restrictGoTo = $MM_restrictGoTo. $MM_qsChar . "accesscheck=" . urlencode($MM_referrer);
  header("Location: ". $MM_restrictGoTo); 
  exit;
}

include ("../funcions.php");

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<!-- TemplateBeginEditable name="doctitle" -->
<title>UOC Test Maker - Administració</title>
<!-- TemplateEndEditable -->
<!-- TemplateBeginEditable name="head" -->
<!-- TemplateEndEditable -->
<link href="../css/reset.css" rel="stylesheet" type="text/css" />
<link href="../css/text.css" rel="stylesheet" type="text/css" />
<link href="../css/960_12_col.css" rel="stylesheet" type="text/css" />
<link href="../css/estilos.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div class="container_12">
  <div class="grid_12" id="cabecera_admin">
    <div id="logo">
      <h1>Administració</h1>
    </div>
    <div id="testmaker"><img src="../imatges/logo_test_maker.gif" width="234" height="57" /></div>
    <div class="clear"></div>
    <div id="user">Professor:<strong><?php echo $professor['nom']." ".$professor['cognom1']." ".$professor['cognom2']; ?></strong></div>
  </div>
  <div class="grid_2" id="menu">
    <ul>
      <li><a href="../admin/preparacio_examens.php">Preparació exàmens</a></li>
      <li><a href="../admin/examens_vigents.php">Exàmens vigents</a></li>
      <li><a href="../admin/historic_examens.php">Històric d'exàmens</a></li>
      <li><a href="../admin/logout.php">Sortir</a></li>
    </ul>
  </div>
  <!-- TemplateBeginEditable name="Contenido" -->
  <div class="grid_10">Contenido</div>
<!-- TemplateEndEditable -->
  <div class="grid_12"></div>
</div>
</body>
</html>
